﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Practices.Composite.UnityExtensions;
using System.Windows;
using Microsoft.Practices.Composite.Modularity;
using Shell.Views;

namespace Shell
{
	public class Bootstrapper : UnityBootstrapper
	{
		protected override DependencyObject CreateShell()
		{
			// Use the container to create an instance of the shell.
			Shell.Views.ShellView shellView = Container.Resolve<Shell.Views.ShellView>();
			shellView.Show();
			// Display the Shell as the root visual for the application.
			return shellView;
		}
		protected override Microsoft.Practices.Composite.Modularity.IModuleCatalog GetModuleCatalog()
		{
			ModuleCatalog catalog = new ModuleCatalog().
				AddModule(typeof(Module1.Module1))
				.AddModule(typeof(Module2.Module2));

			return catalog;
		}
	}
}
